# Function do_drop_index

- do_drop_index(table_name, field_names, query_func, is_unique, logger?): Promise<void>

- Drop unique constraint

  #### Parameters

  - ##### table_name: string

    table name

  - ##### field_names: string[]

    list of columns (members of constraint)

  - ##### query_func: any

  - ##### is_unique: boolean

  - ##### `Optional` logger: any

  #### Returns Promise<void>

  no results

  - Defined in db-common/sqlite-commons.ts:205

Generated using TypeDoc